Loading...
Searching...
No Matches
AVD3D12VAFrame Struct Reference

D3D12VA frame descriptor for pool allocation. More...

`#include <libavutil/hwcontext_d3d12va.h>`

## Data Fields

ID3D12Resource * | texture
| The texture in which the frame is located.
AVD3D12VASyncContext | sync_ctx
| The sync context for the texture.

## Detailed Description

D3D12VA frame descriptor for pool allocation.

Definition at line 106 of file hwcontext_d3d12va.h.

## Field Documentation

## texture

ID3D12Resource* AVD3D12VAFrame::texture

The texture in which the frame is located.

The reference count is managed by the AVBufferRef, and destroying the reference will release the interface.

Definition at line 112 of file hwcontext_d3d12va.h.

## sync_ctx

AVD3D12VASyncContext AVD3D12VAFrame::sync_ctx

The sync context for the texture.

See also
  : https://learn.microsoft.com/en-us/windows/win32/medfound/direct3d-12-video-overview#directx-12-fences

Definition at line 119 of file hwcontext_d3d12va.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_d3d12va.h